ID:

CVE-2017-18193 (NVD)

- Vulnerability Info (edit)
2018-02-22

fs/f2fs/extent_cache.c in the Linux kernel before 4.13 mishandles extent trees, which allows local users to cause a denial of service (BUG) via an application with multiple threads.

Products Linux_kernel
Type Improper Restriction of Operations within the Bounds of a Memory Buffer (CWE-119)
First patch https://github.com/torvalds/linux/commit/dad48e73127ba10279ea33e6dbc8d3905c4d31c0
Patches http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=dad48e73127ba10279ea33e6dbc8d3905c4d31c0
Relevant file/s ./fs/f2fs/extent_cache.c (modified, +11, -1)
Links https://usn.ubuntu.com/3654-1/
https://usn.ubuntu.com/3654-2/
https://usn.ubuntu.com/3656-1/
http://www.securityfocus.com/bid/103147
https://www.debian.org/security/2018/dsa-4188
Annotation

Note:

This entry has not been annotated yet.

Please consider adding data:

linux - Tree: dad48e7312

(? files)

Filter Settings
Files
Navigation
Patch data:

(on by default)


Patched area: